package com.nto.data.repository

import com.nto.data.models.LoginData
import com.nto.data.utils.Provider
import javax.inject.Inject

class DataRepositoryImpl @Inject constructor() : DataRepository {
    override suspend fun login(email: String, password: String): LoginData {
        val result = Provider.provideRetrofit().login(
            email, password
        ).execute()
        if (result.isSuccessful) {
            val body = result.body()
            if (body != null) {
                return body
            }
        }
        return LoginData(false, result.message())
    }

}