package com.nto.domain.repository

import com.nto.data.models.LoginData
import com.nto.data.repository.DataRepositoryImpl
import java.io.IOException
import java.security.MessageDigest
import javax.inject.Inject

class DomainRepositoryImpl @Inject constructor(private val dataRepositoryImpl: DataRepositoryImpl) :
    DomainRepository {
    override suspend fun login(email: String, password: String): LoginData {
        return try {
            dataRepositoryImpl.login(
                email = email,
                password = MessageDigest.getInstance("SHA-256").digest(password.toByteArray())
                    .toString()
            )
        } catch (e: IOException) {
            LoginData(false, "IO exception was thrown: ${e.message}")
        }
    }
}