package com.nto.domain.usecase

import com.nto.data.models.LoginData
import com.nto.domain.repository.DomainRepositoryImpl
import javax.inject.Inject

class LoginUseCase @Inject constructor(private val domainRepositoryImpl: DomainRepositoryImpl) {
    fun checkCredentials(email: String, password: String): Boolean {
        val emailRegex = Regex("^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\\.[a-zA-Z]{2,}\$")
        return password.isNotBlank() && emailRegex.matches(email)
    }

    suspend fun login(email: String, password: String): LoginData {
        return domainRepositoryImpl.login(email, password)
    }
}